﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.Misc;

namespace WindowsFormsApplication84
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraNavigationBar1.RootLocation.Locations.Add("Root", "Root");
            foreach (UltraNavigationBarLocation location in ultraNavigationBar1.RootLocation.Locations)
            {
                location.Locations.Add("10", "A");
                location.Locations.Add("20", "B");
                location.Locations.Add("30", "R");
                location.Locations.Add("40", "I");
                location.Locations.Add("50", "J");
                location.Locations.Add("60", "N");
                location.Locations.Add("70", "C");
            }
            //It does not even matter in fact if the SortOrder is set to 'Ascending' or 'None'
            ultraNavigationBar1.RootLocation.Locations[0].Locations.VisibleMembers.Sort(SortOrder.None);

            ultraNavigationBar1.RootLocation.Locations[0].Locations.VisibleMembers.Sort(new NavigationLocationSortComparer());
        }
        public class NavigationLocationSortComparer : IComparer<UltraNavigationBarLocation>
        {
            #region
            //IComparer<UltraNavigationBarLocation> Members
            public int Compare(UltraNavigationBarLocation x, UltraNavigationBarLocation y)
            {
            if (x == y)
            return 0;
            else if (x == null)
            return -1;
            else if (y == null)
            return 1;
            return x.Index.CompareTo(y.Index);
            }
            #endregion
        }
    }
}
